/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Storage'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Storage'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.SystemInfo = factory(root.HarborApi.ApiClient, root.HarborApi.Storage);
  }
}(this, function(ApiClient, Storage) {
  'use strict';

  /**
   * The SystemInfo model module.
   * @module model/SystemInfo
   * @version 2.0
   */

  /**
   * Constructs a new <code>SystemInfo</code>.
   * @alias module:model/SystemInfo
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SystemInfo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SystemInfo} obj Optional instance to populate.
   * @return {module:model/SystemInfo} The populated <code>SystemInfo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('storage'))
        obj.storage = ApiClient.convertToType(data['storage'], [Storage]);
    }
    return obj;
  }

  /**
   * The storage of system.
   * @member {Array.<module:model/Storage>} storage
   */
  exports.prototype.storage = undefined;


  return exports;

}));
